/*----------------------------------------------------------------------
 * libcgi.h
 * CGIėp[eBeBpwb_t@C
 *
 * Copyright(C) 1997-98  Yuto Ikeno  All rights reserved.
 * e-mail : mew@onbiz.net
 * homepage:http://www.onbiz.net/~mew/
 *---------------------------------------------------------------------*/

#define BUFSIZE (1024)

char tochar(char *);
void decode(char *);
int getdata(char ***, char ***);
void freedata(char **, char **, int);
int getcookiesdata(char ***, char ***, char *);
void fatal_error(const char*, const char*);
int get_int_count(const char*);
void put_int_count(const char*, int);
char *check_url(char *);
char *myGetEnv(const char *);
void freeEnvironment(char *);
void setCfValue(const char *, const char *, const char *);
void createCfKey(const char *, const char *, const char *);
int getCfValueInt(FILE *, const char *);
char *getCfValueStr(FILE *, const char *);
char *getValue(char *, char **, char **, int);
char *getValueAlloc(char *, char **, char **, int);
void printPageHeader(const char *);
void printUrl(char *);
char *rmHtmlTag(char *);